Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.sql
Class TableUtils

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.TableUtils

    public class TableUtils

extends Object

Constructor Summary
`TableUtils()`

Method Summary
`static void` | `dropTable(SDBConnection connection, String tableName)`
`static void` | `dropTableSilent(SDBConnection connection, String tableName)`
`static void` | `dump(Connection conn, String tableName)`
`static void` | `dump(SDBConnection conn, String tableName)`
`static List<String>` | `getTableNames(Connection connection)` Get the names of the application tables
`static List<String>` | `getTableNames(Connection connection, String tableTypeName)` Get the names of the tables of a particular type
`static long` | `getTableSize(Connection connection, String table)` Get the size of a table (usually called 'Triples')
`static boolean` | `hasTable(Connection connection, String table, String... types)` Does this table exist?
`static boolean` | `hasTable(SDBConnectionHolder holder, String table, String... types)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableUtils

    public TableUtils()

Method Detail

### dump

    public static void dump(SDBConnection conn,
                            String tableName)

### dump

    public static void dump(Connection conn,
                            String tableName)

### hasTable

    public static boolean hasTable(Connection connection,
                                   String table,
                                   String... types)
                            throws SQLException

  Does this table exist?

  Throws:
    `SQLException`

### hasTable

    public static boolean hasTable(SDBConnectionHolder holder,
                                   String table,
                                   String... types)
                            throws SQLException

  Throws:
    `SQLException`

### getTableNames

    public static List<String> getTableNames(Connection connection)

  Get the names of the application tables

### getTableNames

    public static List<String> getTableNames(Connection connection,
                                             String tableTypeName)

  Get the names of the tables of a particular type

### getTableSize

    public static long getTableSize(Connection connection,
                                    String table)

  Get the size of a table (usually called 'Triples')

### dropTable

    public static void dropTable(SDBConnection connection,
                                 String tableName)

### dropTableSilent

    public static void dropTableSilent(SDBConnection connection,
                                       String tableName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.